#	Write selected objects to appropriate files.
#
#	J J A Pacilly, 22-may-2007, for Vincent van Heuven
#	J J A Pacilly, 22-jul-2008, adapt to Praat 5.0, (don't use variable object)

form Write Multiple Files
  comment Write Multiple files
  sentence Directory P:\My Documents\Work\
  boolean Overwrite_Existing_files no
  endform

nrObjects = numberOfSelected()
for objct from 1 to nrObjects
  object'objct'_id = selected(objct)
  endfor

for objct from 1 to nrObjects
  select object'objct'_id
  fullName$ = selected$()
  index     =  index(fullName$, " ")
  length    = length(fullName$)
  type$     =  left$(fullName$, index-1)
  name$     = right$(fullName$, length-index)

  if type$ = "Sound" or type$ = "LongSound"
    fileSpec$ = directory$ + name$ + ".wav"
    if not overwrite_Existing_files and fileReadable(fileSpec$)
      pause Overwrite 'fileSpec$'?
      endif
    Write to WAV file... 'fileSpec$'

  elif type$ = "Manipulation"
    fileSpec$ = directory$ + name$ + "." + type$
    if not overwrite_Existing_files and fileReadable(fileSpec$)
      pause Overwrite 'fileSpec$'?
      endif
    Write to binary file... 'fileSpec$'

  else
    fileSpec$ = directory$ + name$ + "." + type$
    if not overwrite_Existing_files and fileReadable(fileSpec$)
      pause Overwrite 'fileSpec$'?
      endif
    Write to text file... 'fileSpec$'
    endif

  endfor

for objct from 1 to nrObjects-1
  plus object'objct'_id
  endfor
